# -*- encoding: utf-8 -*-
# stub: sprite-factory 1.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sprite-factory".freeze
  s.version = "1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jake Gordon".freeze]
  s.date = "2022-04-25"
  s.description = "Combines individual images from a directory into a single sprite image file and creates an appropriate CSS stylesheet".freeze
  s.email = ["jake@codeincomplete.com".freeze]
  s.executables = ["sf".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = [".gitignore".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "RELEASE_NOTES.md".freeze, "Rakefile".freeze, "bin/sf".freeze, "lib/sprite_factory.rb".freeze, "lib/sprite_factory/layout/horizontal.rb".freeze, "lib/sprite_factory/layout/packed.rb".freeze, "lib/sprite_factory/layout/vertical.rb".freeze, "lib/sprite_factory/library/chunky_png.rb".freeze, "lib/sprite_factory/library/image_magick.rb".freeze, "lib/sprite_factory/library/rmagick.rb".freeze, "lib/sprite_factory/runner.rb".freeze, "lib/sprite_factory/style.rb".freeze, "sprite_factory.gemspec".freeze, "test/images/custom/custom.css".freeze, "test/images/custom/running.png".freeze, "test/images/custom/stopped.png".freeze, "test/images/empty/readme.txt".freeze, "test/images/formats/alice.gif".freeze, "test/images/formats/codeincomplete.ico".freeze, "test/images/formats/github.ico".freeze, "test/images/formats/monkey.gif".freeze, "test/images/formats/spies.jpg".freeze, "test/images/formats/stackoverflow.ico".freeze, "test/images/formats/thief.png".freeze, "test/images/glob/excluded1.png".freeze, "test/images/glob/excluded2.png".freeze, "test/images/glob/included1.png".freeze, "test/images/glob/included2.png".freeze, "test/images/glob/included3.png".freeze, "test/images/hover/div.bar__img.icon--active.png".freeze, "test/images/hover/div.bar__img.icon--focus.png".freeze, "test/images/hover/div.bar__img.icon--hover.png".freeze, "test/images/hover/div.bar__img.icon--link.png".freeze, "test/images/hover/div.bar__img.icon--visited.png".freeze, "test/images/hover/div.bar__img.icon.png".freeze, "test/images/hover/div.foo__img.icon--active.png".freeze, "test/images/hover/div.foo__img.icon--focus.png".freeze, "test/images/hover/div.foo__img.icon--hover.png".freeze, "test/images/hover/div.foo__img.icon--link.png".freeze, "test/images/hover/div.foo__img.icon--visited.png".freeze, "test/images/hover/div.foo__img.icon.png".freeze, "test/images/irregular/irregular1.png".freeze, "test/images/irregular/irregular2.png".freeze, "test/images/irregular/irregular3.png".freeze, "test/images/irregular/irregular4.png".freeze, "test/images/irregular/irregular5.png".freeze, "test/images/irregular/readme.txt".freeze, "test/images/names/Ends With Bang!.png".freeze, "test/images/names/Has & Ampersand.png".freeze, "test/images/names/Odd.Period.png".freeze, "test/images/reference/custom.css".freeze, "test/images/reference/custom.png".freeze, "test/images/reference/formats.css".freeze, "test/images/reference/formats.png".freeze, "test/images/reference/glob.css".freeze, "test/images/reference/glob.png".freeze, "test/images/reference/hover.css".freeze, "test/images/reference/hover.png".freeze, "test/images/reference/index.html".freeze, "test/images/reference/irregular.css".freeze, "test/images/reference/irregular.filtered.css".freeze, "test/images/reference/irregular.filtered.png".freeze, "test/images/reference/irregular.fixed.css".freeze, "test/images/reference/irregular.fixed.png".freeze, "test/images/reference/irregular.horizontal.css".freeze, "test/images/reference/irregular.horizontal.png".freeze, "test/images/reference/irregular.margin.css".freeze, "test/images/reference/irregular.margin.png".freeze, "test/images/reference/irregular.packed.css".freeze, "test/images/reference/irregular.packed.png".freeze, "test/images/reference/irregular.padded.css".freeze, "test/images/reference/irregular.padded.png".freeze, "test/images/reference/irregular.png".freeze, "test/images/reference/irregular.sassy.css".freeze, "test/images/reference/irregular.sassy.png".freeze, "test/images/reference/irregular.sassy.sass".freeze, "test/images/reference/irregular.vertical.css".freeze, "test/images/reference/irregular.vertical.png".freeze, "test/images/reference/regular.css".freeze, "test/images/reference/regular.custom.css".freeze, "test/images/reference/regular.custom.png".freeze, "test/images/reference/regular.filtered.css".freeze, "test/images/reference/regular.filtered.png".freeze, "test/images/reference/regular.fixed.css".freeze, "test/images/reference/regular.fixed.png".freeze, "test/images/reference/regular.horizontal.css".freeze, "test/images/reference/regular.horizontal.png".freeze, "test/images/reference/regular.margin.css".freeze, "test/images/reference/regular.margin.png".freeze, "test/images/reference/regular.nocomments.css".freeze, "test/images/reference/regular.nocomments.png".freeze, "test/images/reference/regular.packed.css".freeze, "test/images/reference/regular.packed.png".freeze, "test/images/reference/regular.padded.css".freeze, "test/images/reference/regular.padded.png".freeze, "test/images/reference/regular.png".freeze, "test/images/reference/regular.sassy.css".freeze, "test/images/reference/regular.sassy.png".freeze, "test/images/reference/regular.sassy.sass".freeze, "test/images/reference/regular.vertical.css".freeze, "test/images/reference/regular.vertical.png".freeze, "test/images/reference/s.gif".freeze, "test/images/reference/sanitized.css".freeze, "test/images/reference/sanitized.custom.css".freeze, "test/images/reference/sanitized.custom.png".freeze, "test/images/reference/sanitized.png".freeze, "test/images/reference/subfolders.css".freeze, "test/images/reference/subfolders.png".freeze, "test/images/regular/regular1.PNG".freeze, "test/images/regular/regular2.PNG".freeze, "test/images/regular/regular3.PNG".freeze, "test/images/regular/regular4.PNG".freeze, "test/images/regular/regular5.PNG".freeze, "test/images/subfolders/england/amy.png".freeze, "test/images/subfolders/england/bob.png".freeze, "test/images/subfolders/france/bob.png".freeze, "test/images/subfolders/usa/amy.png".freeze, "test/images/subfolders/usa/bob.png".freeze, "test/integration_test.rb".freeze, "test/layout/horizontal_test.rb".freeze, "test/layout/packed_test.rb".freeze, "test/layout/test_case.rb".freeze, "test/layout/vertical_test.rb".freeze, "test/library_test.rb".freeze, "test/runner_test.rb".freeze, "test/style_test.rb".freeze, "test/test_case.rb".freeze]
  s.homepage = "https://github.com/jakesgordon/sprite-factory".freeze
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Automatic CSS sprite generator".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rmagick>.freeze, [">= 0"])
    s.add_development_dependency(%q<chunky_png>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rmagick>.freeze, [">= 0"])
    s.add_dependency(%q<chunky_png>.freeze, [">= 0"])
  end
end
